#!/bin/bash

sudo apt update -y
sudo apt upgrade -y

sudo apt install -y postgresql-common
sudo /usr/share/postgresql-common/pgdg/apt.postgresql.org.sh -y
sudo apt upgrade -y
sudo apt install -y postgresql-client


git config --global --add safe.directory ${WORKSPACE_FOLDER}
sudo chown $(id -u):$(id -g) -fR \
    ${WORKSPACE_FOLDER} \
    ${WORKSPACE_FOLDER}/.venv \
    ${WORKSPACE_FOLDER}/node_modules \
    /commandhistory

cd ${WORKSPACE_FOLDER}

uv python install
uv venv --allow-existing

uv tool install rust-just
uv tool install ruff
